package ctop.bytedance.ad.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import ctop.bytedance.ad.common.entity.MaterialInfo;

import java.util.List;

/**
 * 素材信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-10-11
 */
public interface IMaterialInfoService extends IService<MaterialInfo> {
    MaterialInfo getParams(String signature, Integer status,Long projectId);


    Result updMaterialOfflineById(List<String> ids, Integer offlineFlag);


    public MaterialInfo getDetilByMaterialId(String materialId);

}
